### Type parameters

- #### T

- #### I: DeleteItemInput | GetItemInput | PutItemInput | UpdateItemInput | QueryInput | ScanInput | BatchGetItemInput | BatchWriteItemInput | TransactGetItemsInput | TransactWriteItemsInput

- #### R: BaseRequest<T, I, any>

### Hierarchy

- BaseRequest
  - StandardRequest
  - BatchGetSingleTableRequest
  - TransactGetSingleTableRequest
  - BatchWriteSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params
- tableName

### Methods

- returnConsumedCapacity

## Constructors

### Protected constructor

- new BaseRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): BaseRequest

- - Defined in dynamo/request/base.request.ts:27

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns BaseRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/request/base.request.ts:23

### metadata

metadata: Metadata<T>

- Defined in dynamo/request/base.request.ts:25

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/base.request.ts:24

### params

params: I

- Defined in dynamo/request/base.request.ts:27

### tableName

tableName: string

- Defined in dynamo/request/base.request.ts:26

## Methods

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): R

- - Defined in dynamo/request/base.request.ts:48

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns R

Generated using TypeDoc